org.apache.xmlgraphics.xmp.schemas.pdf

## Class PDFUAAdapter

- java.lang.Object
- - org.apache.xmlgraphics.xmp.XMPSchemaAdapter
  - - org.apache.xmlgraphics.xmp.schemas.pdf.PDFUAAdapter

-     public class PDFUAAdapter
      extends XMPSchemaAdapter

  Schema adapter implementation for both the old (deprecated) and the current PDF/UA schema. The old namespace is still needed to make Adobe Acrobat happy.

- - ### Field Summary

    - ### Fields inherited from class org.apache.xmlgraphics.xmp.XMPSchemaAdapter

      `meta`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PDFUAAdapter(Metadata meta, java.lang.String namespace)` Constructs a new adapter for PDF/UA around the given metadata object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getPart()`
    `void` | `setPart(int value)`

    - ### Methods inherited from class org.apache.xmlgraphics.xmp.XMPSchemaAdapter

      `addDateToSeq, addObjectToArray, addStringToBag, addStringToSeq, findQualifiedStructure, findQualifiedValue, formatISO8601Date, formatISO8601Date, getDateArray, getDateValue, getLangAlt, getObjectArray, getQName, getSchema, getStringArray, getValue, removeLangAlt, removeStringFromArray, setCompact, setDateValue, setLangAlt, setProperty, setValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PDFUAAdapter

          public PDFUAAdapter(Metadata meta,
                              java.lang.String namespace)

      Constructs a new adapter for PDF/UA around the given metadata object.
      Parameters:
        `meta` - the underlying metadata
        `namespace` - the namespace to access the schema (must be one of the PDF/UA schema namespaces)

  - ### Method Detail

    - #### setPart

          public void setPart(int value)

    - #### getPart

          public int getPart()

Copyright 1999-2025 The Apache Software Foundation. All Rights Reserved.